c      program test_calc_sphere_dist
c      real*4 ra1,dec1,ra2,dec2,dist
c      print*,'Enter ra1,dec1,ra2,dec2: '
c      read*,ra1,dec1,ra2,dec2
c      call calc_sphere_dist(ra1,dec1,ra2,dec2,dist)
c      print*,'Distance between: ',ra1,dec1,' and ',ra2,dec2,' = ',dist
c      end
      
      subroutine calc_sphere_dist(ra1,dec1,ra2,dec2,dist)
C This subroutine calculates the distance between two points on a sphere.
C Input and output values are in degrees.  
C Bug fix 2008-Nov-24 sines and cosines were interchanged in a few places.   
      implicit none
      real*4 ra1,dec1,ra2,dec2, dist, dtr,x,y, cosang
      dtr=acos(-1.0)/180.0
      y=sqrt(
     . (cos(dec2*dtr)*sin((ra1-ra2)*dtr))**2+
     . (cos(dec1*dtr)*sin(dec2*dtr)-sin(dec1*dtr)*cos(dec2*dtr)*
     .  cos((ra1-ra2)*dtr))**2)
      x=sin(dec1*dtr)*sin(dec2*dtr)+cos(dec1*dtr)*cos(dec2*dtr)*
     . cos((ra1-ra2)*dtr)
      dist=atan2(y,x)/dtr
      return
      end
    
      
