      subroutine read_single_drm(one_drm_path,one_drm_file,maxen,  
     . maxchan,energ_lo, energ_hi, matrix, ichan, ienerg, edif_edge_lo,
     . edif_edge_hi)
      implicit none
C     inputs
      character*80 one_drm_path
      character*40 one_drm_file
      integer maxen, maxchan,debug
C     outputs      
      real*4 energ_lo(*), energ_hi(*), matrix(maxen,maxchan)
      integer ichan, ienerg
      real*4 edif_edge_lo(maxen,maxchan), edif_edge_hi(maxen,maxchan)
C local variables
      integer testlen1, testlen2, i, j
      character*130 fullfilename      
      testlen1=len_trim(one_drm_path)
      testlen2=len_trim(one_drm_file)
      if (one_drm_path(testlen1:testlen1).eq.'/') then
        fullfilename=one_drm_path(1:testlen1)//one_drm_file(1:testlen2)
      else
        fullfilename=one_drm_path(1:testlen1)//'/'//
     .   one_drm_file(1:testlen2)
      endif	
      do i=1,maxen
        do j=1,maxchan
	  matrix(i,j)=0.
	  edif_edge_lo(i,j)=0.
	  edif_edge_hi(i,j)=0.
	enddo
      enddo	  
      call readgbmdrm(fullfilename, maxen, maxchan,
     . debug, energ_lo, energ_hi, matrix, ichan, ienerg)  	
      call readpixeedges(fullfilename,maxchan,maxen,debug, ichan,ienerg,
     . edif_edge_lo, edif_edge_hi)
      return
      end
